#container {
    position: relative;
    width: 300px;
    height: 300px;
    border: 1px solid #ccc;
    overflow: hidden;
  }

  #circle {
    position: absolute;
    width: 50px;
    height: 50px;
    background-color: red;
    border-radius: 50%;
    transition: margin 0.3s ease-in-out;
    margin: 0;
  }

  #buttonContainer {
    margin-top: 10px;
  }

  button {
    margin: 5px;
    padding: 10px;
  }